org.apache.http.conn.params

## Class ConnRouteParams

- java.lang.Object
- - org.apache.http.conn.params.ConnRouteParams

- All Implemented Interfaces:
    ConnRoutePNames

  已过时。
  （4.3）使用`RequestConfig` 。

      @Deprecated
      @Contract(threading=IMMUTABLE)
      public class ConnRouteParams
      extends Object
      implements ConnRoutePNames

  用于在`HttpParams`中操作HTTP路由参数的适配器 。
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HttpHost` | `NO_HOST` 已过时。 一个表示“不主机”的特殊值。
    `static HttpRoute` | `NO_ROUTE` 已过时。 指示“无路线”的特殊值。

    - ### Fields inherited from interface org.apache.http.conn.params.ConnRoutePNames

      `DEFAULT_PROXY, FORCED_ROUTE, LOCAL_ADDRESS`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpHost` | `getDefaultProxy(HttpParams params)` 已过时。 获取 `DEFAULT_PROXY`参数值。
    `static HttpRoute` | `getForcedRoute(HttpParams params)` 已过时。 获取 `FORCED_ROUTE`参数值。
    `static InetAddress` | `getLocalAddress(HttpParams params)` 已过时。 获取 `LOCAL_ADDRESS`参数值。
    `static void` | `setDefaultProxy(HttpParams params, HttpHost proxy)` 已过时。 设置 `DEFAULT_PROXY`参数值。
    `static void` | `setForcedRoute(HttpParams params, HttpRoute route)` 已过时。 设置 `FORCED_ROUTE`参数值。
    `static void` | `setLocalAddress(HttpParams params, InetAddress local)` 已过时。 设置 `LOCAL_ADDRESS`参数值。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### NO_HOST

          public static final HttpHost NO_HOST

      已过时。
      一个表示“不主机”的特殊值。 这取决于一个废话方案名称，以避免与实际的主机冲突。 请注意，这是一个有效的主机。

    - #### NO_ROUTE

          public static final HttpRoute NO_ROUTE

      已过时。
      指示“无路线”的特殊值。 这是以`NO_HOST`为目标的路线。

  - ### 方法详细信息

    - #### getDefaultProxy

          public static HttpHost getDefaultProxy(HttpParams params)

      已过时。
      获取`DEFAULT_PROXY`参数值。 `NO_HOST`将映射到`null` ，以允许在层次结构中`null` 。
      参数
        `params` - 查询的参数
      结果
        默认代理设置参数参数，如果没有设置 `null`

    - #### setDefaultProxy

          public static void setDefaultProxy(HttpParams params,
                             HttpHost proxy)

      已过时。
      设置 `DEFAULT_PROXY`参数值。
      参数
        `params` - 设置值的参数
        `proxy` - 要设置的值，可能是`null` 。 请注意， `NO_HOST`将被`getDefaultProxy(org.apache.http.params.HttpParams)`映射到`null` ，以允许在层次结构中显式取消设置 。

    - #### getForcedRoute

          public static HttpRoute getForcedRoute(HttpParams params)

      已过时。
      获取`FORCED_ROUTE`参数值。 `NO_ROUTE`将映射到`null` ，以允许在层次结构中`null` 。
      参数
        `params` - 查询的参数
      结果
        强制路由设置参数参数，如果未设置 `null`

    - #### setForcedRoute

          public static void setForcedRoute(HttpParams params,
                            HttpRoute route)

      已过时。
      设置 `FORCED_ROUTE`参数值。
      参数
        `params` - 设置值的参数
        `route` - 要设置的值，可能是`null` 。 请注意， `NO_ROUTE`将通过`getForcedRoute(org.apache.http.params.HttpParams)`映射到`null` ，以允许在层次结构中显式取消设置 。

    - #### getLocalAddress

          public static InetAddress getLocalAddress(HttpParams params)

      已过时。
      获取`LOCAL_ADDRESS`参数值。 没有特殊的值会自动映射到`null` 。 您可以使用通配符地址（0.0.0.0 for IPv4，:: for IPv6）覆盖层次结构中的特定本地地址。
      参数
        `params` - 查询的参数
      结果
        在参数参数中设置本地地址，如果未设置， `null`

    - #### setLocalAddress

          public static void setLocalAddress(HttpParams params,
                             InetAddress local)

      已过时。
      设置 `LOCAL_ADDRESS`参数值。
      参数
        `params` - 设置值的参数
        `local` - the value to set, may be `null`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585